## org.gnu.pango
Class Rectangle

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.pango.Rectangle

public class Rectangle
extends MemStruct

The PangoRectangle structure represents a rectangle. It is frequently used to represent the logical or ink extents of a single glyph or section of text.

Constructor Summary
`Rectangle()` Create a new rectangle with x=y=width=height=0.
`Rectangle(int x, int y, int width, int height)` Create a new rectangle with the given x, y, width and height parameters.

Method Summary
`int` `getHeight()` Returns height of the rectangle.
`int` `getWidth()` Returns width of the rectangle.
`int` `getX()` Returns X coordinate of the left side of the rectangle.
`int` `getY()` Returns Y coordinate of the the top side of the rectangle.

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rectangle

    public Rectangle()

  Create a new rectangle with x=y=width=height=0.

### Rectangle

    public Rectangle(int x,
                     int y,
                     int width,
                     int height)

  Create a new rectangle with the given x, y, width and height parameters.

Method Detail

### getX

    public int getX()

  Returns X coordinate of the left side of the rectangle.

### getY

    public int getY()

  Returns Y coordinate of the the top side of the rectangle.

### getWidth

    public int getWidth()

  Returns width of the rectangle.

### getHeight

    public int getHeight()

  Returns height of the rectangle.